Subject: RE: [Sigtran] Traffic handling modes compatibility

From: "Sergey Mikhailov" <[email-masked]>
Date: Tue, 29 Nov 2005 13:52:05 +0300

Barry,

Thank you for your reply.
Yes, the explanation of 'incompatible' as simply 'different [from what is 
already established for the AS]' looks the most probable to me.

But I was really confused by the modality used by the authors (the three 
traffic handling modes 'SHOULD NOT be mixed' [rather than 'MUST NOT be 
mixed'], in Section 3.7.1 of both RFC3332 and 
draft-ietf-sigtran-rfc3332bis-05). This is because these keywords, according 
to section 2, are to be interpreted as described in RFC2119 (BCP14), and 
this is what I was trying to do in order to resolve the uncertainty.

If we accept your explanation, then it is unclear: what was the reason of 
specifying 'SHOULD NOT' rather than 'MUST NOT' in Section 3.7.1?

Sergey Mikhailov.

----- Original Message ----- 
From: "Barry Nagelberg" <[email-masked]>
To: "SIGTRAN" <[email-masked]>
Sent: Monday, November 28, 2005 7:18 PM
Subject: RE: [Sigtran] Traffic handling modes compatibility

> Sergey,
>
> 1. Here is an example of an incompatibility:
>
> ASP1 sends a REG_REQ msg for RK x will Traffic Mode = Override
> ASP2 sends a REG_REQ msg for RK x will Traffic Mode = Loadshare
>
> This means that ASP2 is trying to join an existing AS, but wants to use a 
> different traffic mode that what has already
> been established for the AS.
>
> 2. I can't think of any valid reason to mix traffic modes.
>
> Barry Nagelberg
> Adax, Inc.
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf 
> Of Sergey Mikhailov
> Sent: Monday, November 28, 2005 11:08 AM
> To: SIGTRAN
> Subject: [Sigtran] Traffic handling modes compatibility
>
>
> Hi,
>
> What traffic handling modes are considered compatible by an SGP when 
> performing registration procedure?
>
>
> Section 4.3.4.3 says: "If the SGP determines that the mode indicated in an 
> ASP Active message is unsupported or
> incompatible with the mode currently configured for the AS, the SGP 
> responds with an Error message ("Unsupported /
> Invalid Traffic Handling Mode")."
>
> Section 3.7.1 says: "Within a particular Routing Context, Override, 
> Loadshare and Broadcast SHOULD NOT be mixed."
> This means that [according to RFC2119 (BCP14)] there may exist valid 
> reasons to mix different traffic handling modes.
>
>
> Sergey Mikhailov.
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 29 Nov 2005 04:14:08 -0700

Sergey,

On Tue, 29 Nov 2005, Sergey Mikhailov wrote:

>    If we accept your explanation, then it is unclear: what was
>    the reason of specifying 'SHOULD NOT' rather than 'MUST
>    NOT' in Section 3.7.1?

It is not so hard to conceive of an SG that could support mixed
modes: there is just little current support for it in the protocol.
We did not say that an implementation MUST NOT do a thing if it is
conceivable that it can achieve it with some effort: we instead
said SHOULD NOT.

The following drafts offer proposals to support mixed modes in
the protocol:

 http://www.ietf.org/internet-drafts/draft-bidulock-sigtran-loadsel-03.txt
 http://www.ietf.org/internet-drafts/draft-bidulock-sigtran-loadgrp-03.txt

The above were developed because there was interest at one point
in supporting mixed modes and there were some that felt it could
be achieved even without protocol support.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Tue, 29 Nov 2005 16:32:44 +0300

Brian,

Thank you very much this clarification.
Now I've got confidence on the issue.

Sergey Mikhailov.